## net.sf.jftp.net.wrappers
Class SftpTransfer

    java.lang.Object
      net.sf.jftp.net.wrappers.SftpTransfer

All Implemented Interfaces:
  java.lang.Runnable

    public class SftpTransfer

extends java.lang.Object
implements java.lang.Runnable

Field Summary
`java.lang.Thread` `runner`

Constructor Summary
`SftpTransfer(SshConnectionProperties props, java.lang.String localPath, java.lang.String remotePath, java.lang.String file, java.lang.String user, java.lang.String pass, java.util.Vector listeners, java.lang.String type, java.lang.String keyfile)`

Method Summary
`SftpConnection` `getSftpConnection()`
`void` `prepare()`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runner

    public java.lang.Thread runner

Constructor Detail

### SftpTransfer

    public SftpTransfer(SshConnectionProperties props,
                        java.lang.String localPath,
                        java.lang.String remotePath,
                        java.lang.String file,
                        java.lang.String user,
                        java.lang.String pass,
                        java.util.Vector listeners,
                        java.lang.String type,
                        java.lang.String keyfile)

Method Detail

### prepare

    public void prepare()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### getSftpConnection

    public SftpConnection getSftpConnection()